Bug 117812 - Traceback when using LDAP password database with Samba
Traceback when using LDAP password database with Samba
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-03-08 16:07 EST by David Lawrence
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-11 15:33:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample config file with LDAP settings (1.54 KB, text/plain)
2004-03-08 16:08 EST, David Lawrence
no flags Details

  None (edit)
Description David Lawrence 2004-03-08 16:07:03 EST
Description of problem: 
A traceback is encountered when Samba is condigured to use a LDAP
database to hold samba user account information.

Traceback:
[root@powerbook dkl]# system-config-samba
Traceback (most recent call last):
  File "/usr/share/system-config-samba/system-config-samba.py", line
38, in ?
    mainWindow.MainWindow(debug_flag)
  File "/usr/share/system-config-samba/mainWindow.py", line 75, in
__init__
    self.samba_data = sambaParser.SambaParser(self)
  File "/usr/share/system-config-samba/sambaParser.py", line 40, in
__init__
    self.parseFile()
  File "/usr/share/system-config-samba/sambaParser.py", line 71, in
parseFile
    token = self.createToken(line)
  File "/usr/share/system-config-samba/sambaParser.py", line 143, in
createToken
    token =
sambaToken.SambaToken(sambaToken.SambaToken.SAMBA_TOKEN_KEYVAL, (name,
value), self.parent)
  File "/usr/share/system-config-samba/sambaToken.py", line 36, in
__init__
    raise AttributeError, value
AttributeError: ('ldap group suffix', 'ou=Group')


Version-Release number of selected component (if applicable):
system-config-samba-1.2.4-1
Comment 1 David Lawrence 2004-03-08 16:08:00 EST
Created attachment 98383 [details]
Sample config file with LDAP settings
Comment 2 Brent Fox 2004-03-11 15:33:58 EST
Should be fixed in system-config-samba-1.2.7-1.  Note that this should
fix the crash, but the program will still make users locally instead
of via LDAP.

Note You need to log in before you can comment on or make changes to this bug.